use sea_orm_migration::prelude::*;

#[derive(DeriveMigrationName)]
pub struct Migration;

#[async_trait::async_trait]
impl MigrationTrait for Migration {
    async fn up(&self, manager: &SchemaManager) -> Result<(), DbErr> {
        manager
            .alter_table(
                Table::alter()
                    .table(Reviews::Table)
                    .add_column(ColumnDef::new(Reviews::LinkUrl).string().null())
                    .to_owned(),
            )
            .await
    }

    async fn down(&self, manager: &SchemaManager) -> Result<(), DbErr> {
        manager
            .alter_table(
                Table::alter()
                    .table(Reviews::Table)
                    .drop_column(Reviews::LinkUrl)
                    .to_owned(),
            )
            .await
    }
}

#[derive(DeriveIden)]
enum Reviews {
    Table,
    LinkUrl,
}
